Bug 220541 - Enhanced microphone setup and testing panel for the microphone(s) need
Enhanced microphone setup and testing panel for the microphone(s) need
Product: Fedora
Classification: Fedora
Component: aumix (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gabriel Somlo
Fedora Extras Quality Assurance
microphone setup and testing
Depends On:
  Show dependency treegraph
Reported: 2006-12-21 18:13 EST by Leslie Satenstein
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-28 19:00:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2006-12-21 18:13:50 EST
Description of problem:

Need improved audio card testing. The portion for sound output is fine, but
there does not appear to be any test for microphone input.

With more viop applications, there is a need for an enhancment to the sound card
detection testing for microphone input(s).

Version-Release number of selected component (if applicable):

FC6XEN (GNOME 2.16) kernel 2198

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Leslie Satenstein 2006-12-27 19:25:15 EST
I just did not find a place where I could speak into a plugged microphone and
see the amplitude variations. Therefore it took an install of Skype for me to
determine that the microphone was working fine.
Comment 2 Gabriel Somlo 2006-12-28 00:39:18 EST
Trying to understand what the actual problem is: Are you looking for some sort
of vu-meter or LED-bar like widget (like those found on audio equipment) that
would bounce around when there's signal coming in from the microphone ?
Comment 3 Leslie Satenstein 2006-12-28 10:06:46 EST
Yes, you have the idea. How else do we know the mike is working, except by
loading some application program. This way, we can state the microphone side
works, and then if the application does not work, we can concentrate on it.

I have nothing more to add to this suggestion/request.

Comment 4 Gabriel Somlo 2006-12-28 19:00:24 EST
giving visual feedback on audio signal amplitude in general (and on the signal
coming from the microphone in particular) is IMO beyond the scope of aumix
(which only purports to allow one to crank things up/down and left/right :) ).

Note You need to log in before you can comment on or make changes to this bug.